> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a price relay source rule including its connected target rules



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/price-relay-source-rules/{rule_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/price-relay-source-rules/{rule_id}:
    get:
      tags:
        - PriceRelayRules
      summary: Get a price relay source rule including its connected target rules
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Source rule ID
          in: path
          name: rule_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Got source rule
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponsePriceRelaySourceRuleWithTargets
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponsePriceRelaySourceRuleWithTargets:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelaySourceRuleWithTargets
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelaySourceRuleWithTargets:
      properties:
        active:
          type: boolean
        app_id:
          type: string
        created_at:
          type: string
        filters:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayFilters
        id:
          type: string
        market:
          type: string
        market_slug:
          type: string
        name:
          type: string
        percentage_of_source:
          type: integer
        percentage_of_source_decimals:
          type: integer
        relay_sale_price:
          type: boolean
        rounding:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayRounding
        store_group:
          type: string
        store_group_slug:
          type: string
        targets:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayTargetRule
          type: array
        tax_country_code:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayFilters:
      properties:
        brand_ids:
          items:
            type: string
          type: array
        category_ids:
          items:
            type: string
          type: array
        collection_ids:
          items:
            type: string
          type: array
        tag_ids:
          items:
            type: string
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayRounding:
      properties:
        round_down:
          type: boolean
        round_up:
          type: boolean
        targets:
          items:
            type: string
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceRelayTargetRule:
      properties:
        active:
          type: boolean
        aggregation:
          type: string
        app_id:
          type: string
        created_at:
          type: string
        id:
          type: string
        market:
          type: string
        market_slug:
          type: string
        name:
          type: string
        store_group:
          type: string
        store_group_slug:
          type: string
        updated_at:
          type: string
      type: object

````